PIGX(1)

NAME
PiGx - pipeline to interpret high-throughput RNA sequencing data

DESCRIPTION
usage: pigx-rnaseq [-h] [-v]

    (--init [{settings,sample-sheet,both}] | -s SETTINGS) [-c CONFIGFILE] [--target TARGET] [-n] [--graph GRAPH] [--force] [--reason] [--unlock] [sample_sheet]

PiGx RNAseq Pipeline.

PiGx RNAseq is a data processing pipeline for RNAseq read data.

  positional arguments:

sample_sheet
    The sample sheet containing sample data in CSV format.

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

--init [{settings,sample-sheet,both}]
    Generate a template SETTINGS file, a SAMPLE-SHEET. Leave empty for both.

-s SETTINGS, --settings SETTINGS
    A YAML file for settings that deviate from the defaults.

-c CONFIGFILE, --configfile CONFIGFILE
    The config file used for calling the underlying snakemake process. By default the file 'config.json' is dynamically created from the sample sheet and the settings file.

--target TARGET
    Stop when the named target is completed instead of running the whole pipeline. The default target is "final-report". Pass "--target=help" to describe all available targets.

-n, --dry-run
    Only show what work would be performed. Do not actually run the pipeline.

--graph GRAPH
    Output a graph in Graphviz dot format showing the relations between rules of this pipeline. You must specify a graph file name such as "graph.pdf".

--force
    Force the execution of rules, even though the outputs are considered fresh.

--reason
    Print the reason why a rule is executed.

--unlock
    Recover after a snakemake crash.

This pipeline was developed by the Akalin group at MDC in Berlin in 2017-2018.

Version: 0.0.9

COPYRIGHT
Copyright ?? 2017, 2018 Bora Uyar, Jona Ronen, Ricardo Wurmus. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for PiGx